Bug 1127380 (rapidjson) - Review Request: rapidjson - Fast JSON parser and generator for C++
Summary: Review Request: rapidjson - Fast JSON parser and generator for C++
Keywords:
Status: CLOSED ERRATA
Alias: rapidjson
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1126983
TreeView+ depends on / blocked
 
Reported: 2014-08-06 19:18 UTC by Björn 'besser82' Esser
Modified: 2017-05-07 05:52 UTC (History)
2 users (show)

Fixed In Version: rapidjson-0.12-0.1.git20140801.67143c2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-07 05:52:41 UTC
lupinix.fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2014-08-06 19:18:52 UTC
Description:

  RapidJSON is a fast JSON parser and generator for C++.  It was inspired
  by RapidXml.

    RapidJSON is small but complete.  It supports both SAX and DOM style API.
    The SAX parser is only a half thousand lines of code.

    RapidJSON is fast.  Its performance can be comparable to strlen().  It
    also optionally supports SSE2/SSE4.1 for acceleration.

    RapidJSON is self-contained.  It does not depend on external libraries
    such as BOOST.  It even does not depend on STL.

    RapidJSON is memory friendly.  Each JSON value occupies exactly 16/20
    bytes for most 32/64-bit machines (excluding text string).  By default
    it uses a fast memory allocator, and the parser allocates memory
    compactly during parsing.

    RapidJSON is Unicode friendly.  It supports UTF-8, UTF-16, UTF-32
    (LE & BE), and their detection, validation and transcoding internally.
    For example, you can read a UTF-8 file and let RapidJSON transcode the
    JSON strings into UTF-16 in the DOM.  It also supports surrogates and
    "\u0000" (null character).

  JSON(JavaScript Object Notation) is a light-weight data exchange format.
  RapidJSON should be in fully compliance with RFC4627/ECMA-404.


Koji Builds:

  el7:  none  --->  missing dependency:  premake
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=7250350


Issues:

  fedora-review shows no obvious issues.  AFAIK there might be some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/rapidjson.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/rapidjson-0.12-0.1.git20140801.67143c2.fc22.src.rpm


Thanks for review in advance!

Comment 1 Christian Dersch 2014-08-06 19:40:12 UTC
Review done, looks fine :)

Package Review                                                                                                                                                                                                                               
==============                                                                                                                                                                                                                               
                                                                                                                                                                                                                                             
Legend:                                                                                                                                                                                                                                      
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated                                                                                                                                                                            
[ ] = Manual review needed                                                                                                                                                                                                                   
                                                                                                                                                                                                                                             


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "ISC", "Unknown or generated", "BSD
     (4 clause)". 88 files have unknown license. Detailed output of
     licensecheck in /home/review/1127380-rapidjson/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rapidjson-
     devel , rapidjson-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: rapidjson-devel-0.12-0.1.git20140801.67143c2.fc22.noarch.rpm
          rapidjson-doc-0.12-0.1.git20140801.67143c2.fc22.noarch.rpm
          rapidjson-0.12-0.1.git20140801.67143c2.fc22.src.rpm
rapidjson-devel.noarch: W: spelling-error %description -l en_US strlen -> stolen
rapidjson-devel.noarch: W: spelling-error %description -l en_US allocator -> allocate, locator, calculator
rapidjson-devel.noarch: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
rapidjson-devel.noarch: W: spelling-error %description -l en_US transcode -> trans code, trans-code, transcendent
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/tutorial/tutorial.cpp
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/serialize/serialize.cpp
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/pretty/pretty.cpp
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/prettyauto/prettyauto.cpp
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/condense/condense.cpp
rapidjson.src: W: spelling-error %description -l en_US strlen -> stolen
rapidjson.src: W: spelling-error %description -l en_US allocator -> allocate, locator, calculator
rapidjson.src: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
rapidjson.src: W: spelling-error %description -l en_US transcode -> trans code, trans-code, transcendent
rapidjson.src:133: W: macro-in-comment %{ix86}
rapidjson.src:163: W: macro-in-comment %{ix86}
3 packages and 0 specfiles checked; 0 errors, 15 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rapidjson-doc rapidjson-devel
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/tutorial/tutorial.cpp
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/serialize/serialize.cpp
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/pretty/pretty.cpp
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/prettyauto/prettyauto.cpp
rapidjson-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/rapidjson/examples/condense/condense.cpp
rapidjson-devel.noarch: W: spelling-error %description -l en_US strlen -> stolen
rapidjson-devel.noarch: W: spelling-error %description -l en_US allocator -> allocate, locator, calculator
rapidjson-devel.noarch: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
rapidjson-devel.noarch: W: spelling-error %description -l en_US transcode -> trans code, trans-code, transcendent
2 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'


Requires
--------
rapidjson-doc (rpmlib, GLIBC filtered):

rapidjson-devel (rpmlib, GLIBC filtered):



Provides
--------
rapidjson-doc:
    rapidjson-doc

rapidjson-devel:
    rapidjson
    rapidjson-devel
    rapidjson-static



Source checksums
----------------
https://github.com/miloyip/rapidjson/archive/67143c2ba002604a510ba436a8ed0d785a9f7de6.tar.gz#/rapidjson-0.12-git20140801-67143c2.tar.gz :
  CHECKSUM(SHA256) this package     : 629e854c145e50b8d3842aea449b969414a6440d846170f0ac51d11e762b8ca9
  CHECKSUM(SHA256) upstream package : 629e854c145e50b8d3842aea449b969414a6440d846170f0ac51d11e762b8ca9


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1127380
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Björn 'besser82' Esser 2014-08-06 19:45:50 UTC
Thanks for the quick review, Christian!

#####

New Package SCM Request
=======================
Package Name: rapidjson
Short Description: Fast JSON parser and generator for C++
Upstream URL: http://miloyip.github.io/rapidjson
Owners: besser82
Branches: f19 f20 f21 el5 el6 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-08-06 20:07:53 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-08-06 21:45:31 UTC
rapidjson-0.12-0.1.git20140801.67143c2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rapidjson-0.12-0.1.git20140801.67143c2.fc20

Comment 5 Fedora Update System 2014-08-06 21:45:37 UTC
rapidjson-0.12-0.1.git20140801.67143c2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rapidjson-0.12-0.1.git20140801.67143c2.fc19

Comment 6 Fedora Update System 2014-08-07 15:31:12 UTC
rapidjson-0.12-0.1.git20140801.67143c2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Michael Schwendt 2014-08-08 20:57:15 UTC
> rapidjson-0.12-0.1.git20140801.67143c2.fc20

That's a slightly abnormal release tag, since if following the guidelines the snapshot date would be put before the RCS id (since it may be more significant in versioned dependencies and during snapshot updates):

  rapidjson-0.12-0.1.20140801git67143c2.fc20

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

[Of course, for basic updates the 0.X at the very left of %release would be most-significant and sufficient if increased properly for all updates.]

Comment 8 Fedora Update System 2014-08-16 00:29:09 UTC
rapidjson-0.12-0.1.git20140801.67143c2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Fedora Update System 2014-08-16 00:31:09 UTC
rapidjson-0.12-0.1.git20140801.67143c2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2017-05-05 09:45:36 UTC
rapidjson-1.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7e87825459

Comment 11 Fedora Update System 2017-05-06 04:56:26 UTC
rapidjson-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7e87825459

Comment 12 Fedora Update System 2017-05-07 05:52:41 UTC
rapidjson-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.